Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.typehandling
[Java] Class BigDecimalMath

    java.lang.Object
      org.codehaus.groovy.runtime.typehandling.NumberMath
          org.codehaus.groovy.runtime.typehandling.BigDecimalMath

    public final class BigDecimalMath
    extends NumberMath

BigDecimal NumberMath operations

Authors:
  Steve Goetze

Field Summary
`static int` | `DIVISION_EXTRA_PRECISION`
`static int` | `DIVISION_MIN_SCALE`
`static BigDecimalMath` | `INSTANCE`

Method Summary
`protected Number` | `absImpl(Number number)`
`Number` | `addImpl(Number left, Number right)`
`int` | `compareToImpl(Number left, Number right)`
`Number` | `divideImpl(Number left, Number right)`
`Number` | `multiplyImpl(Number left, Number right)`
`Number` | `subtractImpl(Number left, Number right)`
`protected Number` | `unaryMinusImpl(Number left)`

Methods inherited from class NumberMath
abs, absImpl, add, addImpl, and, andImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, xor, xorImpl

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DIVISION_EXTRA_PRECISION

    public static final int DIVISION_EXTRA_PRECISION

### DIVISION_MIN_SCALE

    public static final int DIVISION_MIN_SCALE

### INSTANCE

    public static final BigDecimalMath INSTANCE

Method Detail

### absImpl

    protected Number absImpl(Number number)

### addImpl

    public Number addImpl(Number left, Number right)

### compareToImpl

    public int compareToImpl(Number left, Number right)

### divideImpl

    public Number divideImpl(Number left, Number right)

### multiplyImpl

    public Number multiplyImpl(Number left, Number right)

### subtractImpl

    public Number subtractImpl(Number left, Number right)

### unaryMinusImpl

    protected Number unaryMinusImpl(Number left)

Copyright © 2003-2010 The Codehaus. All rights reserved.